@import url('https://fonts.cdnfonts.com/css/ica-rubrik-black');
@import url('https://fonts.cdnfonts.com/css/poppins');

/* Clearfix hack by Nicolas Gallagher: http://nicolasgallagher.com/micro-clearfix-hack/ */
.clearfix:before,
.clearfix:after {
    content: " ";
    display: table;
}

.clearfix:after {
    clear: both;
}

.clearfix {
    zoom: 1;
}

body {
    font-family: 'Lato', Calibri, Arial, sans-serif;
    /* background: #f9f9f9; */
    font-weight: 300;
    font-size: 15px;
    color: #333;
    overflow: scroll;
    overflow-x: hidden;
}


.hero{
    width: 100%;
    height: 100vh;
    text-align: center;
    overflow: hidden;
    position: relative;
}
.hero .slider{
    position: absolute;
    width: 500px;
    height: 500px;
    top: 40%;
    left: calc(40% - 100px);
    transform-style: preserve-3d;
    transform: perspective(70px);
    animation: autoRun 20s linear infinite;
    z-index: 1;
}
@keyframes autoRun{
    from{
        transform: perspective(500px) rotateX(0deg) rotateY(0deg);
    }to{
        transform: perspective(500px) rotateX(0deg) rotateY(360deg);
    }
}

.main{
    /* max-width: 100; */
    width: 100%;
    padding: 20px;
    margin: 15% 0 10% 0;
    background-color: #A0C3D9;
    border-radius: 24px;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(10px);
    border: 2px solid rgba(255, 255, 255, 0.2);
    overflow: hidden;
    position: relative;
}
.main > p {
	text-align: center;
	padding: 50px 20px;
}

.hero .slider .item{
    position: absolute;
    inset: 0 0 0 0;
    transform: 
        rotatey(calc( (var(--position) - 1) * (360 / var(--quantity)) * 1deg))
        translateZ(700px);
}
.hero .slider .item img{
    width: 100%;
    /* height: 100%; */
    object-fit: cover;
}
.hero .content{
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    width: min(1400px, 100vw);
    height: max-content;
    padding-bottom: 100px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
    z-index: 1;
}
.hero .content h1{
    font-family: 'ICA Rubrik';
    font-size: 16em;
    line-height: 1em;
    color: #25283B;
    position: relative;
    
}
.hero .content h1::after{
    position: absolute;
    inset: 0 0 0 0;
    content: attr(data-content);
    z-index: 5;
    -webkit-text-stroke: 2px #d2d2d2;
    color: transparent;
}
.hero .content .author{
    font-family: Poppins;
    text-align: right;
    max-width: 200px;
}
.hero .content h2{
    font-size: 3em;
}
/* .hero .content .model{
    background-image: url(images/model2.png); 
    width: 100%;
    height: 75vh;
    position: absolute;
    bottom: 0;
    left: 0;
    background-size: auto 100%;
    background-repeat: no-repeat;
    background-position: top center;
    z-index: 3;
} */

#container3D {
    position: absolute;
    inset: 0;
    /* background-color: red; */
    z-index: 100;
    pointer-events: none;


}

/*footer*/
#footer{
    align-items: center;
    padding-block: 1em;
    position: fixed;
    bottom: 0;
    width: 100%;
    z-index: 10px;
    backdrop-filter: blur(20px);
    z-index: 101;
    background-color: #1B1B1B11;
    background-image: repeating-linear-gradient(
        to right, transparent 0 500px, #eee1 500px 501px
    );
}
#footer p{
    color: #ffffff;
    font-size: 1em;
    left: 50%;
    font-family: 'Lato', Calibri, Arial, sans-serif;
    font-weight: 400;
    text-align: center;
    
}

@media screen and (max-width: 1023px) {
    .hero .slider{
        width: 500px;
        height: 200px;
        left: calc(50% - 80px);
        transform: perspective(100px);
    }
    .hero .slider .item{
        transform: 
            rotateY(calc( (var(--position) - 1) * (360 / var(--quantity)) * 1deg))
            translateZ(550px);
    }
    .hero .content h1{
        text-align: center;
        width: 100%;
        text-shadow: 0 10px 20px #000;
        font-size: 7em;
    }
    .hero .content .author{
        color: #fff;
        padding: 20px;
        text-shadow: 0 10px 20px #000;
        z-index: 2;
        max-width: unset;
        width: 100%;
        text-align: center;
        padding: 0 30px;
    }
    #footer p{
        
        left: 40%;
    }
}

@media screen and (max-width: 768px){
    .hero .slider{
        width: 500px;
        height: 150px;
        left: calc(0% - 50px);
        transform: perspective(100px);
    }
    .hero .slider .item{
        transform: 
            rotateY(calc( (var(--position) - 1) * (360 / var(--quantity)) * 1deg))
            translateZ(550px);
    }
    .hero .content h1{
        font-size: 5em;
    }
        /* #container3D {
        inset: 0;

    } */

    #footer p{
        
        left: 35%;
    }
}

@media screen and (max-width: 412px){
    .hero .slider{
        width: 500px;
        height: 150px;
        left: calc(0% - 50px);
        transform: perspective(100px);
    }
    .hero .slider .item{
        transform: 
            rotateY(calc( (var(--position) - 1) * (360 / var(--quantity)) * 1deg))
            translateZ(550px);
    }
    .hero .content h1{
        font-size: 5em;
    }
        /* #container3D {
        inset: 0;

    } */
    #footer p{
        
        left: 25%;

    }
}

